• Guest, The rules for the P & N subforum have been updated to prohibit "ad hominem" or personal attacks against other posters. See the full details in the post "Politics and News Rules & Guidelines."

Go from a AMD 960T to a G4560?

Page 2 - Seeking answers? Join the AnandTech community: where nearly half-a-million members share solutions and discuss the latest tech.

kyubi

Senior member
Feb 11, 2008
467
10
81
I think this is overblown somewhat... I read this a lot on these forums, that BF1 requires a highly threaded CPU (4C/8T minimum) to run well. If you expect 60fps+ at all times on 64 player maps, then sure, an i7 or perhaps Ryzen 5/7 would help in that regard. But it is far from unplayable on a 4C/4T CPU.

My desktop is still running an overclocked 2500K, and my laptop has a i5 7300HQ, both are 4C/4T chips and both run BF1 well enough. Sure, the framerate dips below 60fps when things get hectic, but its far from unplayable. In fact I've seen Youtube videos of BF1 MP running fine on the G4560:
Bf1 at 60fps too much to ask?
 

SPBHM

Diamond Member
Sep 12, 2012
4,870
296
126
if you are really into BF1, maybe it's not the CPU for you, but even that, those tests are using Ultra settings, there are at least a couple of settings that increase CPU load in there, if you reduce those you might get less problems with the 4560 and maybe not even notice the difference to graphics quality,

using Ultra settings is normally not effective (low quality gain for high performance hit compared to medium-high), since we are talking about cheap options (used I5s, Pentium) it's probably worth mentioning,
 
  • Like
Reactions: epsilon84

Loser Gamer

Member
May 5, 2014
145
7
46
Well looks like Phenom 2 users are out of luck when it comes to COD WW2 since the game doesn't support it. I tried to play the open beta this weekend and no go, dead. I might just build this darn g4560 and be done with it.
 

epsilon84

Senior member
Aug 29, 2010
978
653
136
Well looks like Phenom 2 users are out of luck when it comes to COD WW2 since the game doesn't support it. I tried to play the open beta this weekend and no go, dead. I might just build this darn g4560 and be done with it.
Seriously? As in, the game won't actually run AT ALL? Thats a surprise, then again the Phenom line is getting quite old now.
 

Loser Gamer

Member
May 5, 2014
145
7
46
COD WW2 needs - "Game need SSE4.1 instructions, which is not supported on phenom"

This is what I was told on a forum. When I try to open it brings up the little black box saying its opening and then goes away and never does in about 15 seconds. Reading around I seen other Phenom users having issues too.
 

SPBHM

Diamond Member
Sep 12, 2012
4,870
296
126
a few games failed to run on PII due to lack of SSE4.1, but I think they were all patched when users complained, probably it will be the same with this game,
 

ASK THE COMMUNITY